package cn.com.qmth.examcloud.core.basic.api.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import cn.com.qmth.examcloud.commons.web.redis.RedisClient;
import cn.com.qmth.examcloud.core.basic.api.StudentFaceCloudService;
import cn.com.qmth.examcloud.core.basic.api.request.SaveStudentFaceReq;
import cn.com.qmth.examcloud.core.basic.api.response.SaveStudentFaceResp;

/**
 * demo 云服务客户端
 * 
 * @author WANGWEI
 *
 */
@Service
public class StudentFaceCloudServiceClient extends BasicCloudClientSupport
		implements
			StudentFaceCloudService {

	private static final long serialVersionUID = -7456923008162697199L;

	@Autowired
	RestTemplate restTemplate;

	@Autowired
	private RedisClient redisClient;

	@Override
	protected RedisClient getRedisClient() {
		return redisClient;
	}

	@Override
	protected RestTemplate getRestTemplate() {
		return restTemplate;
	}

	@Override
	public SaveStudentFaceResp saveStudentFace(SaveStudentFaceReq req) {
		return post("studentFace/saveStudentFaceInfo", req, SaveStudentFaceResp.class);
	}

}
